<?php

namespace Iwaydev\Rbac\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Response;
use Iwaydev\Rbac\Components\RbacClient;
use Iwaydev\Rbac\Events\UpdatePermissions;
use Illuminate\Http\JsonResponse;

/**
 * Контроллер для работы с RBAC
 *
 * @package Rbac\Http\Controllers
 */
class RbacController extends Controller
{
    /**
     * Обновляем прав доступа
     *
     * @param RbacClient $rbacClient
     *
     * @return JsonResponse
     */
    public function updatePermissions(RbacClient $rbacClient): JsonResponse
    {
        event(new UpdatePermissions($rbacClient, logger()->channel('rbac')));

        return Response::json(
            ['data' => true],
            200,
            [],
            JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE
        );
    }
}
